Mail archive
alpine-aports

[alpine-aports] [PATCH 5/9] testing/py-rsa: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:07 -0500

http://stuvel.eu/rsa
Pure-Python RSA implementation
---
 testing/py-rsa/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-rsa/APKBUILD
diff --git a/testing/py-rsa/APKBUILD b/testing/py-rsa/APKBUILD
new file mode 100644
index 0000000..6c69563
--- /dev/null
+++ b/testing/py-rsa/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-rsa
+_pkgname=rsa
+pkgver=3.1.4
+pkgrel=0
+pkgdesc="Pure-Python RSA implementation"
+url="http://stuvel.eu/rsa"
+arch="noarch"
+license="BSD"
+depends="python py-asn1"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b6b1c80e1931d4eba8538fd5d4de1355  rsa-3.1.4.tar.gz"
+sha256sums="e2b0b05936c276b1edd2e1525553233b666df9e29b5c3ba223eed738277c82a0  rsa-3.1.4.tar.gz"
+sha512sums="b6ff7b91909b58359bda5da99ca4297337da5985c5430d2e96663c8bcf599b2180d54afa3316d4c3b11a8f79ddcb1f41d6942a0c8db2f0d27221c3aee132f3c1  rsa-3.1.4.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:07 GMT